<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
namespace Joomla\Component\Jshopping\Administrator\Controller;
defined('_JEXEC') or die;

class Addon_api_configController extends Addon_api_baseadminController {

    protected
        $alias = 'config';

    public function display($cachable = false, $urlparams = false) {
        $view  = $this->getView('addon_api', 'html');
        $model = \JSFactory::getModel('Addon_api_baseadmin');
        $view->setLayout($this->alias);
        $view->link           = $this->getUrlListItems();
        $view->item           = (object) $view->addon->getParams();
        $view->html_sidebar   = $model->getSidebarHtml();
        $view->html_menu      = $model->getMenuHtml();
        $view->menu_items     = $model->getMenu();
        $view->tool_bar       = [
            'title'   => [
                _JSHOP_ADDON_API . ' - ' . \JText::_('JSHOP_CONFIG'),
                'cogs'
            ],
            'buttons' => [
                ['apply']
            ]
        ];
        $view_log             = clone $view;
        $view_log->setLayout('log');
        $view_log->log        = array_reverse($view->addon->getLog());
        $view_log->link_clear = $this->getUrlListItems() . '&task=clearLog&file=' . base64_encode($view->addon->getLogPath());
        $view->html_log       = $view_log->loadTemplate();
        $view->display();
    }

    public function getAdminModel() {}

    public function save() {
        \JSFactory::loadExtLanguageFile('addon_api');
        \JSFactory::getModel($this->getNameModel())->save($_POST)
            ? $this->setRedirect($this->getUrlListItems(), _JSHOP_ADDON_API_SUCCESSFULLY_SAVED)
            : $this->setRedirect($this->getUrlListItems(), _JSHOP_ADDON_API_ERROR_SAVE, 'e');
    }

}
