<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

/* @var $addon AddonApi */
$addon        = $this->addon;
$html_menu    = $this->html_menu;
$author_email = $addon->getParam('author_email');
$author_url   = $addon->getParam('author_url');    
$doc_file     = $addon->getAlias() . '_documentation.htm';
$doc_link     = $addon->getParam('doc_url');
$addon->addCss();
?>
<div class="row">
<div class="col-md-12">
<div id="j-main-container" class="j-main-container">
    <?php
        \JSHelperAdmin::displaySubmenuOptions('addon_api');
        echo $html_menu;
    ?>
    <div class="jshop_addon_api">
        <div class="form-horizontal about">
            <h1>
                <img src="<?php echo \JURI::base(); ?>components/com_jshopping/images/<?php echo $addon->getAlias(); ?>/logo.png" />
                <span>
                    <?php echo $addon->getParam('name'); ?>
                </span>
            </h1>
            <?php
                echo $addon->renderField(
                    '<field label="' . \JText::_('JVERSION') . '" type="content" />',
                    $addon->getParam('version')
                );
                echo $addon->renderField(
                    '<field label="' . \JText::_('JDATE') . '" type="content" />',
                    $addon->getParam('date')
                );
                echo $addon->renderField(
                    '<field label="' . \JText::_('JAUTHOR') . '" type="content" />',
                    $addon->getParam('author')
                );
                echo $addon->renderField(
                    '<field label="' . _JSHOP_ADDON_API_AUTHOR_EMAIL . '" type="content" />',
                    '<a href="mailto: ' . $author_email . '">' . $author_email . '</a>'
                );
                echo $addon->renderField(
                    '<field label="' . _JSHOP_ADDON_API_AUTHOR_SITE . '" type="content" />',
                    '<a href="' . $author_url . '" target="_blank">' . $author_url . '</a>'
                );
                echo $addon->renderField(
                    '<field label="' . _JSHOP_ADDON_API_DOCUMENTATION . '" type="content" />',
                    '<a href="' . $doc_link . '" target="_blank">' . $doc_file . '</a>'
                );
            ?>
        </div>
    </div>
</div>
</div>
</div>