<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

$addon          = $this->addon;
$html_menu      = $this->html_menu;
$link           = $this->link;
$item           = $this->item;
$html_log       = $this->html_log;
$menu_items     = $this->menu_items;
$addon->addCss();
?>
<div class="row">
<div class="col-md-12">
<div id="j-main-container" class="j-main-container">
    <?php
        \JSHelperAdmin::displaySubmenuOptions('addon_api');
        echo $html_menu;
    ?>
    <form id="adminForm" name="adminForm" action="<?php echo $link; ?>" method="post" enctype="multipart/form-data">
    <ul class="joomla-tabs nav nav-tabs">

        <li class="nav-item"><a class="nav-link active" href="#general" data-toggle="tab"><?php echo JText::_('JGLOBAL_FIELDSET_BASIC')?></a></li>
        <li class="nav-item"><a class="nav-link" href="#token" data-toggle="tab"><?php echo _JSHOP_ADDON_API_TOKEN?></a></li>
        <?php if ($html_log) {?>
        <li class="nav-item"><a class="nav-link" href="#log" data-toggle="tab"><?php echo JText::_('JSHOP_LOGS')?></a></li>
        <?php } ?>
    </ul>   
    <div id="editdata-document" class="tab-content">
        <div id="general" class="tab-pane active pt-2">
            <?php
                $radio_tail = ' type="radio" class="btn-group btn-group-yesno"><option value="1">JYES</option><option value="0">JNO</option></field>';
                echo $addon->renderField('<field name="params[test_mode]" label="' . _JSHOP_ADDON_API_TEST_MODE . '"' . $radio_tail);
                echo $addon->renderField('<field name="params[logging]" label="'. _JSHOP_ADDON_API_LOGGING . '"' . $radio_tail);
                //echo $addon->renderField('<field name="params[use_addons]" label="' . _JSHOP_ADDON_API_USE_ADDONS . '"' . $radio_tail);
                echo $addon->renderField('<field name="params[connections_checking_interval_minutes]" label="' . _JSHOP_ADDON_API_CONNECTIONS_CHECKING_INTERVAL . ' (' . _JSHOP_ADDON_API_MINUTES . ')' . '" type="text" />');
                $options = '';
                foreach ($menu_items as $key => $menu_item) {
                    $options .= '<option value="' . $key . '">' . $menu_item->name . '</option>';
                }
                echo $addon->renderField('<field name="params[default_menu_item]" label="' . _JSHOP_ADDON_API_DEFAULT_MENU_ITEM . '" type="list"> ' . $options . '</field>');
            ?>            
        </div>
        <div id="token" class="tab-pane pt-2">
            <?php
            echo $addon->renderField('<field name="params[token][length]"           label="' . _JSHOP_ADDON_API_LENGTH   . '" type="text" />');
            echo $addon->renderField('<field name="params[token][lifetime_minutes]" label="' . _JSHOP_ADDON_API_LIFETIME . ' (' . _JSHOP_ADDON_API_MINUTES . ')' . '" type="text" />');
            ?>               
        </div>
        <?php if ($html_log) {?>
        <div id="log" class="tab-pane pt-2">
            <?php                
                echo $html_log;                
            ?>            
        </div>
        <?php } ?>
    </div>
        <input type="hidden" value="" name="task">
        <input type="hidden" value="<?php echo $addon->getId(); ?>" name="id">
    </form>
</div>
</div>
</div>