<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

$addon            = $this->addon;
$html_sidebar     = $this->html_sidebar;
$html_menu        = $this->html_menu;
$link             = $this->link;
$items            = $this->items;
$pagination       = $this->pagination;
$filter_order     = $this->filter_order;
$filter_order_Dir = $this->filter_order_Dir;
$filter_publish   = $this->filter_publish;
$saveOrder        = $filter_order == 'ordering' && $filter_order_Dir == 'asc';
$total            = count($items);
$states           = [
    [
        'active_class' => 'unpublish',
        'active_title' => _JSHOP_ADDON_API_UNBLOCK_USER,
        'task'         => 'publish',
        'tip'          => true
    ],
    [
        'active_class' => 'publish',
        'active_title' => _JSHOP_ADDON_API_BLOCK_USER,
        'task'         => 'unpublish',
        'tip'          => true
    ]
];
$addon->addCss();
?>
<script>
    Joomla.submitbutton = function(task) {
        if (task == 'remove' && !confirm('<?php echo _JSHOP_ADDON_API_SURE; ?>')) {
            return false;
        }
        Joomla.submitform(task, document.getElementById('adminForm'));
    }
</script>
<div class="row">
<div class="col-md-12">
<div id="j-main-container" class="j-main-container">
    <?php
        \JSHelperAdmin::displaySubmenuOptions('addon_api');
        echo $html_menu;
    ?>
    <form id="adminForm" name="adminForm" class="jshop_addon_api" action="<?php echo $link; ?>" method="post">

        <div class="js-stools clearfix jshop_block_filter">
            <div class="js-stools-container-bar">
                <div class="btn-toolbar" role="toolbar">
                    <div class="btn-group">
                        <div class="input-group">
                            <select class="form-select" name="filter_publish" onchange="document.adminForm.submit();">
                                <option value="">- <?php echo \JText::_('JSTATUS'); ?> -</option>
                                <?php
                                    foreach([
                                        1 => _JSHOP_ADDON_API_UNBLOCKED,
                                        0 => _JSHOP_ADDON_API_BLOCKED
                                    ] as $value => $name) {
                                        echo '<option value="' . $value . '"' . (strcmp($value, $filter_publish) ? '' : ' selected') . '>' . $name . '</option>';
                                    }
                                ?>
                            </select>
                        </div>
                        <div class="input-group">
                            <button type="button" class="btn btn-primary" onclick="jQuery('.jshop_block_filter select').val(''); document.adminForm.submit();">
                                <?php echo \JText::_('JSEARCH_FILTER_CLEAR'); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php if ($total) { ?>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th width="2.5%" class="center">
                            #
                        </th>
                        <th width="2.5%" class="center">
                            <input type="checkbox" name="checkall-toggle" value="" title="<?php echo \JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)">
                        </th>
                        <th align="left">
                            <?php echo \JHTML::_('grid.sort', \JText::_('JSHOP_EMAIL'), 'email', $filter_order_Dir, $filter_order); ?>
                        </th>
                        <th width="5%" class="center">
                            <?php echo \JHTML::_('grid.sort', \JText::_('JSTATUS'), 'state', $filter_order_Dir, $filter_order); ?>
                        </th>
                        <th width="2.5%" class="center">
                            <?php echo \JText::_('JSHOP_EDIT'); ?>
                        </th>
                        <th width="2.5%" class="center">
                            <?php echo \JText::_('JSHOP_DELETE'); ?>
                        </th>
                        <th width="2.5%" class="center">
                            <?php echo \JHTML::_('grid.sort', \JText::_('JSHOP_ID'), 'id', $filter_order_Dir, $filter_order); ?>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($items as $i => $item) { ?>
                        <tr class="item<?php echo $i % 2; ?>">
                            <td>
                                <?php echo $pagination->getRowOffset($i); ?>
                            </td>
                            <td>
                                <?php echo \JHTML::_('grid.id', $i, $item->getId()); ?>
                            </td>
                            <td>
                                <a
                                    class="hasTooltip"
                                    title="<?php echo \JText::_('JSHOP_EDIT'); ?>"
                                    href="<?php echo $item->getLink(); ?>"
                                >
                                    <?php echo $item->getEmail(); ?>
                                </a>
                            </td>
                            <td class="center">
                                <?php echo \JHTML::_('jgrid.state', $states, (int) $item->getState(), $i); ?>
                            </td>
                            <td class="center">
                                <a
                                    class="btn btn-micro hasTooltip"
                                    title="<?php echo \JText::_('JSHOP_EDIT'); ?>"
                                    href="<?php echo $link; ?>&task=edit&id=<?php print $item->getId(); ?>"
                                >
                                    <i class="icon-edit"></i>
                                </a>
                            </td>
                            <td class="center">
                                 <a
                                    class="btn btn-micro hasTooltip"
                                    title="<?php echo \JText::_('JSHOP_DELETE'); ?>"
                                    href="index.php?option=com_jshopping&controller=addon_api_users&task=remove&cid[]=<?php echo $item->getId(); ?>"
                                    onclick="return confirm('<?php echo _JSHOP_ADDON_API_SURE; ?>');"
                                >
                                     <i class="icon-delete"></i>
                                 </a>
                            </td>
                            <td class="center">
                                <?php print $item->getId(); ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="10">
                            <div class = "jshop_list_footer"><?php echo $pagination->getListFooter(); ?></div>
                            <div class = "jshop_limit_box"><?php   echo $pagination->getLimitBox();   ?></div>
                        </td>
                    </tr>
                </tfoot>
            </table>
            <input type="hidden" name="filter_order"     value="<?php echo $filter_order; ?>">
            <input type="hidden" name="filter_order_Dir" value="<?php echo $filter_order_Dir; ?>">
        <?php } else { ?>
            <div class="alert alert-no-items">
                <?php echo \JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
            </div>
        <?php } ?>
        <input type="hidden" name="task"         value="<?php echo \JFactory::getApplication()->input->getCmd('task'); ?>">
        <input type="hidden" name="hidemainmenu" value="0">
        <input type="hidden" name="boxchecked"   value="0">
    </form>
</div>
</div>
</div>