<?php
/*
* @version      2.1.0 25.03.2024
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
namespace Joomla\Component\Jshopping\Site\Controller;
defined('_JEXEC') or die;

class Addon_api_subcontrollerController {

    private
        $code           = 1,
        $note           = '',
        $default_result = null;

    public function __construct() {}

    protected function getModel(string $name = '') {
        if ($name == '' ) {           
            $name = get_class($this);            
            $name = str_replace('JshoppingController', '', $name);
            $name = str_replace('subcontroller_', '', $name);
            $name = str_replace('Addon_api_', '', $name);
        }
        $res = \JSFactory::getModel($name, 'Site\\Api');        
        return $res;
    }

    protected function _item($id) {
        return call_user_func_array(
            [
                $this->getModel(),
                'item'
            ],
            func_get_args()
        );
    }

    protected function _items(array $ids): array {
        $params = (new \ReflectionMethod($this, 'item'))->getParameters();
        $param = reset($params);
        $type = $param->getType()->getName();        
        $this->getModel('adapter')->checkArrayArg($ids, $type, 'ids');
        $res = [];
        foreach ($ids as $id) {
            $res[$id] = $this->item($id);
        }
        ksort($res);
        return $res;
    }

    protected function setNote(string $note): bool {
        $this->note = $note;
        return true;
    }

    protected function setCode(int $code): bool {
        $this->code = $code;
        return true;
    }

    protected function setDefaultResult($default_result): bool {
        return $this->default_result = $default_result;
        return true;
    }

    public function getCode(): int {
        return $this->code;
    }

    public function getNote(): string {
        return $this->note;
    }

    public function getDefaultResult() {
        return $this->default_result;
    }

}
