<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

class JshoppingControllerAddon_api_subcontroller_cart extends Joomla\Component\Jshopping\Site\Controller\Addon_api_subcontrollerController {

    protected
        $type = 'cart';

    public function __construct() {
        parent::__construct();
        \JPluginHelper::importPlugin('jshoppingcheckout');
        $obj = $this;
        \JFactory::getApplication()->triggerEvent('onConstructJshoppingControllerCart', [&$obj]);
    }

    public function add(
        int   $product_id,
        int   $quantity          = 1,
        array $attributes        = [],
        array $freeattributes    = [],
        array $additional_fields = []
    ): bool {
        return $this->getModel()->add(
            $product_id,
            $quantity,
            $attributes,
            $freeattributes,
            $additional_fields,
            $this->type
        );
    }

    public function clear(): bool {
        $cart = \JSFactory::getModel('cart', 'jshop');
        $cart->load($this->type);
        $cart->clear();
        return true;
    }

    public function delete(int $index): bool {
        $cart = \JSFactory::getModel('cart', 'jshop');
        $cart->load($this->type);
        if (!key_exists($index, $cart->products)) {
            $this->setCode(2);
            $this->setNote('No item #' . $index . ' in the ' . $this->type);
        }
        return $this->getModel()->delete($index, $this->type);
    }

    public function discount(string $code): bool {
        return $this->getModel()->discount($code);
    }

    public function info(): array {
        return $this->getModel()->info();
    }

    public function update(array $quantities): bool {
        return $this->getModel()->update($quantities);
    }

}
