<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      autoload.php
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

spl_autoload_register(function($classname) {
    $alias       = strtolower(basename(__DIR__));
    $alias_camel = JStringNormalise::toCamelCase($alias);
    $dirs        = [];
    $type        = '';
    foreach ([
        'addon'      => $alias_camel            
    ] as $key => $val) {
        if (strpos($classname, $val) === 0) {
            $type = $key;
            break;
        }
    }
    switch ($type) {
        case 'addon':
            $filename = str_replace($alias_camel, '', $classname);
            $filename = $filename ? $filename : $alias;
            $filename = JStringNormalise::fromCamelCase($filename);
            $filename = str_replace(' ', '_', $filename);
            $filename = strtolower($filename);
            foreach ([
                'addons',
                'entities',
                'Lib'
            ] as $dir) {
                $dirs[] = JPATH_SITE . '/components/com_jshopping/' . $dir . '/'   . $alias . '/';
            }
        break;
    }
    foreach ($dirs as $dir) {
        $dir       = \JPath::clean($dir . '/');
        $file_path = $dir . $filename . '.php';
        if (is_readable($file_path)) {
            include_once $file_path;
            return true;
        }
    }
    return false;
});
