<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
namespace Joomla\Component\Jshopping\Site\Model\Api;
use Joomla\Component\Jshopping\Site\Model\BaseModel;
defined('_JEXEC') or die;

class ApiModel extends BaseModel {

    protected function triggerView(string $trigger, array &$assigns, array $args) {
        $view = reset($args);
        foreach ($assigns as $key => $val) {
            $view->$key = $val;
        }
        $res = \JFactory::getApplication()->triggerEvent($trigger, $args);
        foreach ($assigns as $key => $val) {
            if (property_exists($view, $key)) {
                $assigns[$key] = $view->$key;
            }
            else {
                unset($assigns[$key]);
            }
        }
        return $res;
    }

    protected function getSimpleList($table, $fields = '*', $order = 'id', $orderDir = 'asc', $limit = 0, $limitstart = 0) {
        $db = \JFactory::getDbo();        
        $query = $db->getQuery(true);
        $query->select($fields);        
        $query->from($db->qn($table));		
        $query->order($db->qn($order)." ".$orderDir);
        $db->setQuery($query, $limitstart, $limit);
        return $db->loadObjectList($order); 
    }

    protected function getSimpleListCount($table) {
        $db = \JFactory::getDbo();        
        $query = $db->getQuery(true);
        $query->select('count(*)');        
        $query->from($db->qn($table));		        
        $db->setQuery($query);
        return $db->loadResult(); 
    }

}
