<?php
/*
* @version      2.0.5 25.03.2024
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
namespace Joomla\Component\Jshopping\Site\Model\Api;
defined('_JEXEC') or die;

class ManufacturerModel extends ApiModel {

    public function ids(): array {
        $db = \JFactory::getDbo();
        $db->setQuery('
            SELECT ' . $db->qn('manufacturer_id') . '
            FROM '   . $db->qn('#__jshopping_manufacturers')
        );
        $res = array_map('intval', (array) $db->loadColumn());
        sort($res);
        return $res;
    }

    /**
     * @throws AddonApiException
     */
    public function item(int $id): array {        
        $table = \JSFactory::getTable('manufacturer');
        $table->load($id);
        if (!$table->manufacturer_id) {
            throw new \AddonApiException_manufacturer(1, ' ' . $id);
        }        
        $res  = [
            'manufacturer' => $table,
        ];
        return $res;
    }

    public function list($limit, $limitstart) {
        return $this->getSimpleList('#__jshopping_manufacturers', '*', 'manufacturer_id', 'asc', $limit, $limitstart);            
    }

    public function listCount(): int {
        return $this->getSimpleListCount('#__jshopping_manufacturers');
    }

}
