<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
namespace Joomla\Component\Jshopping\Site\Model\Api;
defined('_JEXEC') or die;

class PaymentModel extends ApiModel {

    public function getForm(
        $checkout,
        $order,
        $back_link
    ) {
        $pm_method = $order->getPayment();
        $path      = \JPath::clean(
            \AddonApi::getInst()->getParam('dirs_pathes[payments]') . $pm_method->payment_class . '.php'
        );
        if (!\JFile::exists($path)) {
            return (string) $checkout->showEndFormPaymentSystem($order->order_id);
        }
        $class = '\\' . \AddonApi::getInst()->getAlias() . '_' . $pm_method->payment_class;
        $cart  = \JSFactory::getModel('cart', 'jshop');
        $cart->load();
        \JFactory::getApplication()->triggerEvent('onBeforeShowEndFormStep6', [&$order, &$cart, $pm_method]);
        $checkout->setSendEndForm(1);
        require_once $path;
        return (new $class)->showEndForm($pm_method->getConfigs(), $order, $back_link);
    }

}
