<?php
/*
* @version      2.0.4 06.09.2023
* @author       MAXXmarketing GmbH
* @package      addon_api
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
namespace Joomla\Component\Jshopping\Site\Model\Api;
defined('_JEXEC') or die;

class ShopModel extends ApiModel {

    public function config() {
        $res        = \JSFactory::getConfig();
        $black_list = (array) \AddonApi::getInst()->getParam('shop_config[black_list]');
        foreach ($res as $key => $val) {
            if (
                in_array($key, $black_list) ||
                (
                    is_string($val) &&
                    preg_match('/^' . str_replace('\\', '\\\\', JPATH_ROOT) . '/i', $val)
                )
            ) {
                unset($res->$key);
            }
        }
        return $res;
    }

    public function taxs() {
        return $this->getSimpleList('#__jshopping_taxes', '*', 'tax_id');
    }

    public function currencies() {
        return $this->getSimpleList('#__jshopping_currencies', '*', 'currency_id');
    }

    public function payments() {
        return $this->getSimpleList('#__jshopping_payment_method', '*', 'payment_id');
    }  

    public function shippings() {
        return $this->getSimpleList('#__jshopping_shipping_method', '*', 'shipping_id');
    }

    public function shippingprices() {
        return $this->getSimpleList('#__jshopping_shipping_method_price', '*', 'sh_pr_method_id');
    }

    public function shippingpricescountries() {
        return $this->getSimpleList('#__jshopping_shipping_method_price_countries', '*', 'sh_method_country_id');
    }

    public function deliverytimes() {
        return $this->getSimpleList('#__jshopping_delivery_times', '*', 'id');
    }

    public function countries() {
        return $this->getSimpleList('#__jshopping_countries', '*', 'country_id');
    }

    public function attributes() {
        return $this->getSimpleList('#__jshopping_attr', '*', 'attr_id');
    }

    public function attributesvalues() {
        return $this->getSimpleList('#__jshopping_attr_values', '*', 'value_id');
    }

    public function freeattributes() {
        return $this->getSimpleList('#__jshopping_free_attr', '*', 'id');
    }

    public function reviews() {
        return $this->getSimpleList('#__jshopping_products_reviews', '*', 'review_id');
    }

    public function productlabels() {
        return $this->getSimpleList('#__jshopping_product_labels', '*', 'id');
    }

    public function productfields() {
        return $this->getSimpleList('#__jshopping_products_extra_fields', '*', 'id');
    }

    public function productfieldvalues() {
        return $this->getSimpleList('#__jshopping_products_extra_field_values', '*', 'id');
        
    }

    public function languages() {
        return $this->getSimpleList('#__jshopping_languages', '*', 'id');
    }

    public function units() {
        return $this->getSimpleList('#__jshopping_unit', '*', 'id');
    }

    public function vendors() {
        return $this->getSimpleList('#__jshopping_vendors', '*', 'id');
    }

}
