<?php
/*
* @version      2.1.0 25.03.2024
* @author       MAXXmarketing GmbH
* @package      update.php
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die;

$params = array_map(
	function($el) {
		return is_string($el) ? trim($el) : $el;
	},
	parse_ini_file(
		\JPath::clean(
			__DIR__ .
			'/components/com_jshopping/addons/' .
			\JFolder::folders(__DIR__ . '/components/com_jshopping/addons')[0] .
			'/params.ini'
		),
		true
	)
);
$data = [
	'name'           => $params['name'],
	'type'           => '',
	'element'        => $params['alias'],
	'folder'         => '',
	'client_id'      => 0,
	'enabled'        => 1,
	'access'         => 1,
	'protected'      => 0,
	'manifest_cache' => json_encode((object) [
		'creationDate' => $params['date'],
		'author'       => $params['author'],
		'authorEmail'  => $params['author_email'],
		'authorUrl'    => $params['author_url'],
		'version'      => $params['version']
	]),
	'params'         => json_encode((object) [])
];
$table = \JSFactory::getTable('addon', 'jshop');
if (is_dir(__DIR__ . '/modules')) {
	foreach((array) \JFolder::folders(__DIR__ . '/modules') as $folder) {
		$table->installJoomlaExtension(array_merge(
			$data,
			[
				'type'    => 'module',
				'element' => $folder,
				'folder'  => ''
			]
		));
	}
}
if (is_dir(__DIR__ . '/plugins')) {
	foreach((array) \JFolder::folders(__DIR__ . '/plugins') as $folder) {
		$table->installJoomlaExtension(array_merge(
			$data,
			[
				'type'    => 'plugin',
				'element' => $params['alias'],
				'folder'  => $folder
			]
		));
	}
}
$table->loadAlias($params['alias']);
$table->setProperties([
	'name'      => $params['name'],
	'version'   => $params['version'],
	'uninstall' => '/components/com_jshopping/addons/' . $params['alias'] . '/uninstall.php'
]);
$table->store();
